package com.fjhx.victoriatourist.service.jd;

import com.baomidou.dynamic.datasource.annotation.DSTransactional;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackDto;
import com.fjhx.victoriatourist.entity.jd.dto.JdBackSelectDto;
import com.fjhx.victoriatourist.entity.jd.po.JdBack;
import com.fjhx.victoriatourist.entity.jd.po.JdBackDetails;
import com.fjhx.victoriatourist.entity.jd.vo.JdBackVo;
import com.ruoyi.common.core.service.BaseService;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;


/**
 * <p>
 * 京东退货 服务类
 * </p>
 *
 * @author
 * @since 2023-04-18
 */
public interface JdBackService extends BaseService<JdBack> {

    /**
     * 京东退货分页
     */
    Page<JdBackVo> getPage(JdBackSelectDto dto);

    /**
     * 京东退货明细
     */
    JdBackVo detail(Long id);

    /**
     * 京东退货新增
     */
    void add(JdBackDto jdBackDto);

    /**
     * 京东退货创建待质检记录
     */
    void createJdBackQualityWait(List<JdBackDetails> jdBackDetailsList);

    /**
     * 京东退货编辑
     */
    void edit(JdBackDto jdBackDto);

    /**
     * 京东退货删除
     */
    void delete(Long id);

    /**
     * 京东退货EXCEl导入
     */
    void excelImport(MultipartFile file, Long warehouseId);
}
